{instancesFunctions}: let
  inherit (instancesFunctions) domain1 servicePath sslPath sopsPath;

  forgejoLabel = "Forgejo";
  forgejoName = "forgejo";
  forgejoSubdomain = "source";
in {
  label = forgejoLabel;
  name = forgejoName;
  email = {
    address0 = "noreply@${forgejoSubdomain}.${domain1}";
  };
  sops = {
    path0 = "${sopsPath}/${forgejoName}";
  };
  subdomain = forgejoSubdomain;
  paths = {
    path0 = "${servicePath}/${forgejoLabel}";
  };
  ports = {
    port0 = 3033;
  };
  ssl = {
    cert = "${sslPath}/${forgejoSubdomain}.${domain1}/fullchain.pem";
    key = "${sslPath}/${forgejoSubdomain}.${domain1}/key.pem";
  };
}
